// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UObjectRedirector.h"
#include "SourcifyCoreUEWrapperModule.h"
#include "UObject/ObjectRedirector.h"

using namespace Sourcify;

SCW_UObjectRedirector::SCW_UObjectRedirector(UObjectRedirector* InObjectRedirector) : SCW_UObject(InObjectRedirector), ObjectRedirector(InObjectRedirector)
{

}

UObjectRedirector* SCW_UObjectRedirector::ToUObjectRedirector() const
{
	return ObjectRedirector;
}

ISCW_UObjectRedirectorPtr SCW_UObjectRedirector::ToUObjectRedirectorPtr()
{
	return GetSharedThisAs<SCW_UObjectRedirector>();
}

ISCW_UObjectRedirectorConstPtr SCW_UObjectRedirector::ToUObjectRedirectorPtr() const
{
	return GetSharedThisAs<SCW_UObjectRedirector>();
}